# Poco

# class TaskNotification

Library: Foundation
Package: Tasks
Header: Poco/TaskNotification.h

## Description

Base class for TaskManager notifications.

## Inheritance

Direct Base Classes: Notification

All Base Classes: Notification, RefCountedObject

Known Derived Classes: TaskStartedNotification, TaskCancelledNotification, TaskFinishedNotification, TaskFailedNotification, TaskProgressNotification, TaskCustomNotification

## Member Summary

Member Functions: task

Inherited Functions: duplicate, name, referenceCount, release

## Constructors

### TaskNotification

TaskNotification(
Task * pTask
);

Creates the TaskNotification.

## Destructor

### ~TaskNotification

virtual ~TaskNotification();

Destroys the TaskNotification.

## Member Functions

### task

Task * task() const;

Returns the subject of the notification.